View Issue Details

IDProjectCategoryView StatusLast Update
0016386ScribusUser Interfacepublic2020-12-15 22:16
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016386: Unify minimum size of dock palettes
DescriptionThis patch unifies the minimum size of dock palettes (exept properties palette). As I see the general minimal size is 220px width and 240px height. Currently the scrapbook and bookmarks palettes do not follow this minimal sizes and the layers and the pages panels have custom minimum height.

In this patch I propose to use the same minimal height and width when possible:
- Same minimal width and height:
  - Bookmarks
  - Inline items
  - Custom shapes
  - Outline
  - Symbols
  - Scrapbook
- Unified min. height: Layers
- Unified min. width: Arrange pages (Master pages)
- Custom min. height and width: Align and distribute

I think, this patch also fixes 0014472.

Please review the patch. Thanks.
TagsNo tags attached.
PatchYes

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2020-12-12 23:58

reporter  

panels_minimum.diff (6,359 bytes)
diff --git a/scribus/ui/bookmarkpalette.cpp b/scribus/ui/bookmarkpalette.cpp
index 68ec5c0a070e17a81e7f3ed380d2928daf60b9e5..8b43ee25809adc43a1e3a61a853f5a617de54248 100644
--- a/scribus/ui/bookmarkpalette.cpp
+++ b/scribus/ui/bookmarkpalette.cpp
@@ -27,10 +27,10 @@ for which a new license (GPL+exception) is in place.
 
 BookPalette::BookPalette(QWidget* parent) : ScDockPalette( parent, "Books" )
 {
+	setMinimumSize( QSize( 220, 240 ) );
 	setObjectName(QString::fromLocal8Bit("Books"));
 	setSizePolicy( QSizePolicy(QSizePolicy::Minimum, QSizePolicy::Minimum));
 	BView = new BookmarkView(this);
-	BView->setMinimumSize(QSize(100,150));
 	setWidget( BView );
 	languageChange();
 }
diff --git a/scribus/ui/layers.cpp b/scribus/ui/layers.cpp
index 409c556bdb9e02e991ceeb1aa5a9d2b9028c1498..81abfb13b2615b790114de9bb1e9029e21e7c063 100644
--- a/scribus/ui/layers.cpp
+++ b/scribus/ui/layers.cpp
@@ -44,6 +44,7 @@ for which a new license (GPL+exception) is in place.
 
 LayerPalette::LayerPalette(QWidget* parent) : ScDockPalette(parent, "Layers", Qt::WindowFlags()), m_Doc(nullptr)
 {
+	setMinimumSize( QSize( 220, 240 ) );
 	setObjectName(QString::fromLocal8Bit("Layers"));
 	setSizePolicy( QSizePolicy(QSizePolicy::Minimum, QSizePolicy::Minimum));
 	containerWidget = new QWidget(this);
diff --git a/scribus/ui/pagelayout.cpp b/scribus/ui/pagelayout.cpp
index 8acb559d25698060bba4023f86d2b6892ce1e04c..5440ff8a0dad95c04f7b8391c35b3c7b7f287b51 100644
--- a/scribus/ui/pagelayout.cpp
+++ b/scribus/ui/pagelayout.cpp
@@ -72,8 +72,8 @@ PageLayouts::PageLayouts(QWidget* parent)  : QGroupBox( parent )
 
 	modus = false;
 	layoutGroupLayout = new QVBoxLayout(this);
-	layoutGroupLayout->setSpacing( 5 );
-	layoutGroupLayout->setMargin( 10 );
+	layoutGroupLayout->setSpacing( 6 );
+	layoutGroupLayout->setContentsMargins( 9, 9, 9, 9 );
 
 	layoutsCombo = new QComboBox( this );
 	layoutGroupLayout->addWidget( layoutsCombo );
@@ -94,8 +94,8 @@ PageLayouts::PageLayouts(QWidget* parent, const QList<PageSet>& pSets, bool mode
 	pageSets = pSets;
 	modus = mode;
 	layoutGroupLayout = new QVBoxLayout(this);
-	layoutGroupLayout->setSpacing( 5 );
-	layoutGroupLayout->setMargin( 10 );
+	layoutGroupLayout->setSpacing( 6 );
+	layoutGroupLayout->setContentsMargins( 9, 9, 9, 9 );
 	if (modus)
 	{
 		layoutsView = new PageListWidget( this );
diff --git a/scribus/ui/pagepalette_pages.cpp b/scribus/ui/pagepalette_pages.cpp
index 89459304757feabb6b36f7f7c50a354229967d3d..d4f4f742ba3b9f99cbf30e66c639b295cc90cb3c 100644
--- a/scribus/ui/pagepalette_pages.cpp
+++ b/scribus/ui/pagepalette_pages.cpp
@@ -38,9 +38,9 @@ PagePalette_Pages::PagePalette_Pages(QWidget* parent) : QWidget(parent)
 	
 	setupUi(this);
 	
-	setSizePolicy( QSizePolicy(QSizePolicy::Minimum, QSizePolicy::Minimum));
+	setSizePolicy( QSizePolicy(QSizePolicy::Minimum, QSizePolicy::Expanding));
 
-	masterPageList->setMinimumSize(QSize(130,70));
+	masterPageList->setMinimumSize(QSize(200,40));
 	masterPageList->m_thumb = false;
 	masterPageList->setIconSize(QSize(60, 60));
 
@@ -57,7 +57,6 @@ PagePalette_Pages::PagePalette_Pages(QWidget* parent) : QWidget(parent)
 	pageView->setRowCount(1);
 	pageView->setColumnCount(1);
 	pageView->setIconSize(QSize(60, 60));
-	pageView->setMinimumSize(QSize(130,120));
 
 	trash->setMinimumSize(QSize(32,32));
 	trash->setMaximumSize(QSize(32,32));
diff --git a/scribus/ui/pagepalette_pagesbase.ui b/scribus/ui/pagepalette_pagesbase.ui
index 319d12af9dbc9ae0bfded1fa59aa612edf07e69b..2fc5c32d272cabf4821beab463bfda4eded65c1e 100644
--- a/scribus/ui/pagepalette_pagesbase.ui
+++ b/scribus/ui/pagepalette_pagesbase.ui
@@ -6,7 +6,7 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>440</width>
+    <width>220</width>
     <height>286</height>
    </rect>
   </property>
@@ -34,6 +34,9 @@
      <property name="orientation">
       <enum>Qt::Vertical</enum>
      </property>
+     <property name="childrenCollapsible">
+      <bool>false</bool>
+     </property>
      <widget class="QWidget" name="widget" native="true">
       <layout class="QVBoxLayout" name="verticalLayout_3">
        <property name="spacing">
@@ -60,12 +63,6 @@
        </item>
        <item>
         <widget class="SeList" name="masterPageList">
-         <property name="minimumSize">
-          <size>
-           <width>130</width>
-           <height>70</height>
-          </size>
-         </property>
          <property name="toolTip">
           <string>&lt;qt&gt;List of master pages in the document. Master page names may be dragged onto the page view below to apply master pages, or onto the empty space between pages to create new pages.&lt;/qt&gt;</string>
          </property>
@@ -105,12 +102,6 @@
        </item>
        <item>
         <widget class="SeView" name="pageView">
-         <property name="minimumSize">
-          <size>
-           <width>130</width>
-           <height>120</height>
-          </size>
-         </property>
          <property name="toolTip">
           <string>&lt;qt&gt;List of normal pages in the document, shown with the document layout. Pages may be dragged to rearrange or delete them.&lt;/qt&gt;</string>
          </property>
diff --git a/scribus/ui/scrapbookpalette.cpp b/scribus/ui/scrapbookpalette.cpp
index c1dd1d8840625929807b4084b5dafa85dc1e4835..6c82c73100f9d01f9a70f4418b24aa8431b7c93c 100644
--- a/scribus/ui/scrapbookpalette.cpp
+++ b/scribus/ui/scrapbookpalette.cpp
@@ -720,6 +720,7 @@ void BibView::readContents(const QString& name)
 Biblio::Biblio(QWidget* parent) : ScDockPalette(parent, "Sclib", Qt::WindowFlags())
 {
 //	resize( 230, 190 );
+	setMinimumSize( QSize( 220, 240 ) );
 	setObjectName(QString::fromLocal8Bit("Sclib"));
 	setSizePolicy( QSizePolicy(QSizePolicy::Minimum, QSizePolicy::Minimum));
 	containerWidget = new QWidget(this);
diff --git a/scribus/undogui.cpp b/scribus/undogui.cpp
index dc430aaedd2af4cce5b9472a79e92a5dbf1b46ba..639dc7a065b4fd85649d5e38db632f07ffc0f5ca 100644
--- a/scribus/undogui.cpp
+++ b/scribus/undogui.cpp
@@ -191,6 +191,7 @@ UndoWidget::~UndoWidget()
 
 UndoPalette::UndoPalette(QWidget* parent, const char* name) : UndoGui(parent, name)
 {
+	setMinimumSize( QSize( 220, 240 ) );
 	setObjectName(QString::fromLocal8Bit(name));
 	setSizePolicy( QSizePolicy(QSizePolicy::Minimum, QSizePolicy::Minimum));
 
panels_minimum.diff (6,359 bytes)
panels_minimum.gif (99,802 bytes)
panels_minimum.gif (99,802 bytes)

jghali

2020-12-14 22:25

administrator   ~0048555

Applied, thanks! I applied a few modifications tho, mostly related to code style.

bubu

2020-12-15 22:16

reporter   ~0048571

Thanks @jghali. I saw your modifications, I will follow this code style next time. Thanks.

Issue History

Date Modified Username Field Change
2020-12-12 23:58 bubu New Issue
2020-12-12 23:58 bubu File Added: panels_minimum.diff
2020-12-12 23:58 bubu File Added: panels_minimum.gif
2020-12-14 07:24 PeterBenedek Relationship added child of 0013906
2020-12-14 07:51 PeterBenedek Summary Unify minimum size of dock palettes => [Patch] Unify minimum size of dock palettes
2020-12-14 22:24 jghali Summary [Patch] Unify minimum size of dock palettes => Unify minimum size of dock palettes
2020-12-14 22:25 jghali Assigned To => jghali
2020-12-14 22:25 jghali Status new => resolved
2020-12-14 22:25 jghali Resolution open => fixed
2020-12-14 22:25 jghali Fixed in Version => 1.5.7.svn
2020-12-14 22:25 jghali Note Added: 0048555
2020-12-15 22:16 bubu Note Added: 0048571